contactsFind contacts by category id. Multiple categories possible (separated by commas). To call this, you need to have access contact details right of 090300.

Find contacts by category id. Multiple categories possible (separated by commas). To call this, you need to have access contact details right of 090300.

curl -X GET "https://api.example.com/restapi/v1/contacts/search/category/example_string?loadAllAddresses=1&loadInvoiceAddresses=1&loadInvoiceSendAddresses=1&loadContactImage=0&loadResourceData=0" \
  -H "Content-Type: application/json"
[
  {
    "id": 123,
    "contactType": "example_string",
    "salutation": "mr",
    "title": "example_string",
    "firstName": "John Doe",
    "lastName": "John Doe",
    "company": "example_string",
    "companyId": 123,
    "email": "user@example.com",
    "website": "example_string",
    "contactCategoriesId": [
      123
    ],
    "defaultAddress": [
      {
        "id": 123,
        "addressType": 42,
        "parentContact": "example_string",
        "parentContactId": 123,
        "isDefault": true,
        "position": "example_string",
        "department": "example_string",
        "street": "example_string",
        "houseNumber": "example_string",
        "addition": "example_string",
        "zip": "example_string",
        "city": "New York",
        "state": "example_string",
        "country": "USA",
        "emails": [
          {
            "id": 123,
            "email": "user@example.com"
          }
        ],
        "phones": [
          {
            "id": 123,
            "type": "example_string",
            "countryCode": "USA",
            "areaCode": "example_string",
            "number": "example_string"
          }
        ]
      }
    ],
    "defaultPhone": {
      "id": 123,
      "type": "example_string",
      "countryCode": "USA",
      "areaCode": "example_string",
      "number": "example_string"
    },
    "defaultFax": {
      "id": 123,
      "type": "example_string",
      "countryCode": "USA",
      "areaCode": "example_string",
      "number": "example_string"
    },
    "defaultMobile": {
      "id": 123,
      "type": "example_string",
      "countryCode": "USA",
      "areaCode": "example_string",
      "number": "example_string"
    },
    "allAddress": [
      {
        "id": 123,
        "addressType": 42,
        "parentContact": "example_string",
        "parentContactId": 123,
        "isDefault": true,
        "position": "example_string",
        "department": "example_string",
        "street": "example_string",
        "houseNumber": "example_string",
        "addition": "example_string",
        "zip": "example_string",
        "city": "New York",
        "state": "example_string",
        "country": "USA",
        "emails": [
          {
            "id": 123,
            "email": "user@example.com"
          }
        ],
        "phones": [
          {
            "id": 123,
            "type": "example_string",
            "countryCode": "USA",
            "areaCode": "example_string",
            "number": "example_string"
          }
        ]
      }
    ],
    "invoiceAddress": [
      {
        "id": 123,
        "addressType": 42,
        "parentContact": "example_string",
        "parentContactId": 123,
        "isDefault": true,
        "position": "example_string",
        "department": "example_string",
        "street": "example_string",
        "houseNumber": "example_string",
        "addition": "example_string",
        "zip": "example_string",
        "city": "New York",
        "state": "example_string",
        "country": "USA",
        "emails": [
          {
            "id": 123,
            "email": "user@example.com"
          }
        ],
        "phones": [
          {
            "id": 123,
            "type": "example_string",
            "countryCode": "USA",
            "areaCode": "example_string",
            "number": "example_string"
          }
        ]
      }
    ],
    "invoiceSendAddress": [
      {
        "id": 123,
        "addressType": 42,
        "parentContact": "example_string",
        "parentContactId": 123,
        "isDefault": true,
        "position": "example_string",
        "department": "example_string",
        "street": "example_string",
        "houseNumber": "example_string",
        "addition": "example_string",
        "zip": "example_string",
        "city": "New York",
        "state": "example_string",
        "country": "USA",
        "emails": [
          {
            "id": 123,
            "email": "user@example.com"
          }
        ],
        "phones": [
          {
            "id": 123,
            "type": "example_string",
            "countryCode": "USA",
            "areaCode": "example_string",
            "number": "example_string"
          }
        ]
      }
    ],
    "image_url": "example_string",
    "trn_data": [
      {
        "id": 123,
        "trn_objectives": "example_string",
        "trn_travel_expenses": "example_string",
        "trn_comment": "example_string",
        "trn_description_html": "example_string",
        "trn_misc1": "example_string",
        "trn_misc2": "example_string",
        "sub_categories": [
          "example_string"
        ]
      }
    ],
    "loc_data": [
      {
        "id": 123,
        "loc_comment": "example_string",
        "loc_description_html": "example_string",
        "loc_url": "example_string",
        "loc_misc": "example_string"
      }
    ],
    "extNewsletter": [
      [
        {
          "cmain_id": 123,
          "ext_type": "example_string",
          "ext_id": "example_string",
          "is_active": 42,
          "ext_opt_in": 42,
          "ext_opt_in_executed": 42
        }
      ]
    ]
  }
]
GET
/contacts/search/category/{categoryId}
GET
Base URLstring

Target server for requests. Edit to use your own host.

path
categoryIdstring
Required

Category ID whose contacts should be retrieved. Multiple categories possible (separated by commas).

query
loadAllAddressesinteger

Loads all contacts address data.

Options: 0, 1
query
loadInvoiceAddressesinteger

Loads all contacts invoice address data.

Options: 0, 1
query
loadInvoiceSendAddressesinteger

Loads all contacts invoice send address data.

Options: 0, 1
query
loadContactImageinteger

Loads contact image url.

Options: 0, 1
query
loadResourceDatainteger

Loads additional resource data.

Options: 0, 1
Request Preview
Response

Response will appear here after sending the request

Path Parameters

categoryIdstring
Required

Category ID whose contacts should be retrieved. Multiple categories possible (separated by commas).

Query Parameters

loadAllAddressesinteger

Loads all contacts address data.

Allowed values:01
loadInvoiceAddressesinteger

Loads all contacts invoice address data.

Allowed values:01
loadInvoiceSendAddressesinteger

Loads all contacts invoice send address data.

Allowed values:01
loadContactImageinteger

Loads contact image url.

Allowed values:01
loadResourceDatainteger

Loads additional resource data.

Allowed values:01

Responses

idinteger
contactTypestring
salutationstring
Allowed values:mrms
titlestring
firstNamestring
lastNamestring
companystring
companyIdinteger
emailstring
websitestring
contactCategoriesIdinteger[]
defaultAddressarray
defaultPhoneobject
defaultFaxobject
defaultMobileobject
allAddressarray
invoiceAddressarray
invoiceSendAddressarray
image_urlstring
trn_dataarray

Additional resource data. Only returned when loadResourceData=1.

loc_dataarray

Additional resource data. Only returned when loadResourceData=1.

extNewsletterarray[]